[mise à jour] yaourt et package-query (résolu)

Annonces, dépannage, évolution du projet yaourt
gile
Daikyu
Messages : 68
Inscription : sam. 06 avr. 2013, 13:31
Localisation : Fribourg (Suisse)

[mise à jour] yaourt et package-query (résolu)

Message par gile » jeu. 25 déc. 2014, 13:02

Bonjour,

Petit soucis de mise à jour ce matin. Yaourt me répond :

Code : Tout sélectionner

erreur : package-query: missing required signature
:: Le fichier /var/cache/pacman/pkg/package-query-1.5-1-x86_64.pkg.tar.xz est corrompu (paquet invalide ou corrompu (signature PGP)).
Donc je désinstalle (ne me demandez pas pourquoi, je dois avoir la tête là où je pense) yaourt et package-query. Je nettoie mes paquets puis :

Code : Tout sélectionner

 sudo pacman -S yaourt
résolution des dépendances...
recherche des conflits entre paquets...

Paquets (2): package-query-1.5-1  yaourt-1.5-1

Taille totale installé :  0.56 MiB

:: Procéder à l’installation ? [O/n] 
(2/2) vérification des clés dans le trousseau                               [########################################] 100%
(2/2) vérification de l’intégrité des paquets                               [########################################] 100%
erreur : package-query: missing required signature
:: Le fichier /var/cache/pacman/pkg/package-query-1.5-1-x86_64.pkg.tar.xz est corrompu (paquet invalide ou corrompu (signature PGP)).
Voulez-vous le supprimer ? [O/n] 
erreur : yaourt: missing required signature
:: Le fichier /var/cache/pacman/pkg/yaourt-1.5-1-any.pkg.tar.xz est corrompu (paquet invalide ou corrompu (signature PGP)).
Voulez-vous le supprimer ? [O/n] 
erreur : la validation de la transaction a échoué (paquet invalide ou corrompu (signature PGP))
Des erreurs se sont produites, aucun paquet n’a été mis à jour.
Là je suis bien emprunté j'ai fais un : "sudo pacman-key --refresh-keys". mais le résultat est toujours le même.

Quelqu'un aurait une piste à me proposer?

Passez de bonnes fêtes de fin d'années!!!
Dernière modification par gile le jeu. 25 déc. 2014, 18:12, modifié 1 fois.
Gile Dey

Avatar de l’utilisateur
FoolEcho
Maître du Kyudo
Messages : 10499
Inscription : dim. 15 août 2010, 11:48
Localisation : Basse-Normandie

Re: [mise à jour] yaourt et package-query

Message par FoolEcho » jeu. 25 déc. 2014, 14:01

Salut,

Quel est le contenu de ton /etc/pacman.conf au niveau du dépôt archlinuxfr ?
Ne mettant pas en œuvre les signatures, ce dépôt doit être paramétré avec SigLevel = Never.
Depot_archlinuxfr
«The following statement is not true. The previous statement is true.» :nage:

gile
Daikyu
Messages : 68
Inscription : sam. 06 avr. 2013, 13:31
Localisation : Fribourg (Suisse)

Re: [mise à jour] yaourt et package-query (résolu)

Message par gile » jeu. 25 déc. 2014, 18:12

Un grand merci!

Cela a résolu le problème. Ce que je ne comprend pas c'est que le problème ne ce soit pas présenté avant.
Gile Dey

Avatar de l’utilisateur
FoolEcho
Maître du Kyudo
Messages : 10499
Inscription : dim. 15 août 2010, 11:48
Localisation : Basse-Normandie

Re: [mise à jour] yaourt et package-query (résolu)

Message par FoolEcho » jeu. 25 déc. 2014, 19:42

Pure supposition: le dépôt n'a pas énormément de paquets (et on a fait du nettoyage dernièrement aussi), donc si tu en avais peu en commun avec, pas impossible que ça soit passé à l'as même si ça fait un moment que pacman-key est en place...
«The following statement is not true. The previous statement is true.» :nage:

gile
Daikyu
Messages : 68
Inscription : sam. 06 avr. 2013, 13:31
Localisation : Fribourg (Suisse)

Re: [mise à jour] yaourt et package-query (résolu)

Message par gile » jeu. 25 déc. 2014, 20:13

Merci beaucoup.
J'ai pourtant fait pas mal d'installation depuis aur avec yaourt, sans problème jusque là (^_^)

Ce qui est important, c'est qu'il y a une solution. Je te remercie de me l'avoir donnée.
Gile Dey

benjarobin
Maître du Kyudo
Messages : 15367
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [mise à jour] yaourt et package-query (résolu)

Message par benjarobin » jeu. 25 déc. 2014, 21:40

Bonsoir, il n'y a aucun lien entre yaourt / AUR et le dépôt archlinuxfr.
Le dépôt archlinuxfr peut très bien être utilisé avec pacman seul.
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Répondre